Package org.apache.storm.stats

## Class CommonStats

- java.lang.Object
- - org.apache.storm.stats.CommonStats

- Direct Known Subclasses:
    `BoltExecutorStats`, `SpoutExecutorStats`

      public abstract class CommonStats
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `rate` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommonStats​(int rate, int numStatBuckets)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanupStats()` |
    `void` | `emittedTuple​(String stream)` |
    `MultiCountStat` | `getAcked()` |
    `MultiCountStat` | `getEmitted()` |
    `MultiCountStat` | `getFailed()` |
    `int` | `getRate()` |
    `MultiCountStat` | `getTransferred()` |
    `abstract ExecutorStats` | `renderStats()` |
    `void` | `transferredTuples​(String stream, int amount)` |
    `protected Map<String,​Map<String,​Long>>` | `valueStat​(MultiCountStat metric)` |
    `protected Map<String,​Map<String,​Double>>` | `valueStat​(MultiLatencyStat metric)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rate

          protected final int rate

  - ### Constructor Detail

    - #### CommonStats

          public CommonStats​(int rate,
                             int numStatBuckets)

  - ### Method Detail

    - #### getFailed

          public MultiCountStat getFailed()

    - #### getAcked

          public MultiCountStat getAcked()

    - #### getRate

          public int getRate()

    - #### getEmitted

          public MultiCountStat getEmitted()

    - #### getTransferred

          public MultiCountStat getTransferred()

    - #### emittedTuple

          public void emittedTuple​(String stream)

    - #### transferredTuples

          public void transferredTuples​(String stream,
                                        int amount)

    - #### cleanupStats

          public void cleanupStats()

    - #### valueStat

          protected Map<String,​Map<String,​Long>> valueStat​(MultiCountStat metric)

    - #### valueStat

          protected Map<String,​Map<String,​Double>> valueStat​(MultiLatencyStat metric)

    - #### renderStats

          public abstract ExecutorStats renderStats()